Bug 1020368 - "Launch browser after server startup" option should aim to management port not to http
"Launch browser after server startup" option should aim to management port no...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ER7
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
Depends On:
  Show dependency treegraph
Reported: 2013-10-17 10:20 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:16:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-17 10:20:02 EDT
Description of problem:
 Browser launched by installer aiming for http port. For domain this feature takes http port of default profile, but out-of-box domain is configured with server-one from main-server-group which uses full profile thus no server is listening on default profiles http port (assume they are not same for all profiles).

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER6

How reproducible:

Steps to Reproduce:
 1. Start gui installation, use defautl values untill Socket Bindings screen
 2. On Socket screen select to Configure custom port bindings and Configure ports for domain mode
 3. On Socket Binding (default-domain) change the value of http port to 1010 and continue till Server Launch screen
 4. On server Launch screen select to start Domain Mode and check to Launch browser after server start.
 5. Keep pressing next untill Processing screen where server is launched.

Actual results:
 Browser is opened on http://localhost:1010/, but server-one is listening on http://localhost:8080/

Expected results:
 Connect to management http Port.

Additional info:
 Also browser launched for standalone mode should points to http management port
Comment 1 Francisco Canas 2013-10-17 11:45:21 EDT
Browser now aimed at management ports for both domain and standalone.

Comment 2 Petr Kremensky 2013-11-01 07:08:04 EDT
Verified on EAP 6.2.0.ER7 installer.

Note You need to log in before you can comment on or make changes to this bug.